---
title: "[old] a new chapter"
date: "2017-07-30"
tags: 
  - "english"
  - "life"
  - "productivity"
  - "startup"
  - "tech"
---

> **disclaimer:** this post is really old, from when i first started writing. it's from 2017.

#### On new endings and old beginnings

I joined dev in December of 2016. It was my first time dealing with a working environment, and it's been a pretty awesome ride.

![](images/5125e-1vdlg71admo2fwqyuu4lofw.png)

[Lennon](https://medium.com/u/57f86eb26cec) was doing a workshop on Ruby on Rails in Ecuador and noticed I wasn’t half bad with code. Or maybe he noticed I was terrible and needed to fix me up. I like to think it's the former, though. He offered me a position to do part-time work at dev remotely to hone my programming skills. It was a big commitment and lots of hours in Starbound were traded for it, but I agreed.

Working remotely was a unique experience. Being far away from your coworkers feels somewhat isolating, but you get the freedom of being able to do work at home, in your pajamas. I made my own schedule and worked my solid 4 hours a day after class, mainly working on the [devAcademy website](https://devacademy.la).(A lot of people say that staying in your pajamas makes you less productive, but I disagree.)

I worked part-time for a year before getting an offer to work full time for dev here in Peru. Moving to Peru was pretty daunting and the second largest move I’ve ever done, but it was worth it.

![](images/76d25-1y1zw_kyesuelvht5afvdwq.png)

The move itself was pretty smooth, but took a long time. I had to take a bus to Lima, which took about 36 hours total. I finally watched Fight Club on the way there, though, so it wasn't all in vain. The trip was nice, and I received a warm welcome from the team once I arrived.

![](images/9235d-1yhaes2jr1mzql6q67gieqq.png)

All of my coworkers were super helpful in helping us get settled in Ica. Without them, I don’t think we would have survived around here. I learned a lot about life in Peru! Living here in Ica was quite the experience. I’d definitely come visit here again. Ica is cheap to live in and a literal oasis in the middle of the desert. The people are nice, the food is great and I think I have a crippling addiction to [Chocotejas](http://perudelights.com/chocotejas-confections-from-the-desert/). They even celebrated my mom's birthday, which I think was super cute.

<figure>

![](images/b13e5-1tyapeerxd-xz3smovqmqeq.png)

<figcaption>

They call cake “keke” here. Top kek(e).

</figcaption>

</figure>

On the off-chance I wasn’t coding, I did tourism around Ica. I visited Huacachina, walked around the malls around here, and learned about the history of this little desert oasis. Ica is a bustling and growing place, and I’m glad to have been a part of it for as long as I was. It’s a great city to be in.

I also took some driving lessons! I only crashed, like, once.

![](images/828ad-1qg8dvudoturyt7t8pl13zw.png)

Apart from life experience, I got a lot of work experience that I couldn’t have gotten anywhere else. I learned a lot at dev:

- I refined my skills in Ruby on Rails and JavaScript. Rails is my go-to for web development and JavaScript/Node is my go-to for other projects now.

- I learned a lot about emerging software like React Native. Sharing codebases across mobile OSes? Crazy stuff. I feel like this is the start of a new era for applications everywhere.

- I learned how to write code for Alexa Skills. I’m really excited to see how the Internet of Things evolves with new tech that allows us to interact with software in ways previously unimaginable.

- I figured out how to manage a social media account with over 7k followers and aggregate content that would promote users like you and me in the tech community. Probably the second scariest thing I’ve done.

- I learned how to work with clients on a 1 to 1 basis. Probably the scariest thing I’ve done, but I know that I’ll have to do it again soon.

- I learned how to code in, uh… Java, which wasn't my, uh… favorite… experience.

- I even learned about networking and setting up routers!

devAcademy has been a key stepping stone in the upwards climb to the best me I can be. I’m glad to have been a part of the team here for as long as I was. It was essential to me being who I am now. I’ve learned a lot about how to value my own work and the work of others while cooperating in a team.

I’m even more excited about code. It’s something I’m very passionate about, and working here at dev has cemented that for me. I want to build things that people can use and enjoy, and working here has been a learning experience through and through.

From what I’ve learned here at dev, I know that I don’t know everything, and I probably never will. But that shouldn’t stop me from pressing on forward and doing my best in whatever I know how to do now.

Someday I hope to work with Lennon once again, but for now…

New places to go.

New people to see.

New code to write.

New adventures to be had.

![](images/9a03a-1epqtbzfgktmo-yz4c1i79a.png)
