---
title: "[old] why slack is the best chat platform for your team"
date: "2016-07-22"
tags: 
  - "communication"
  - "english"
  - "slack"
  - "startup"
  - "team"
---

> **disclaimer:** this post is really old, from when i first started writing technical articles. it's from 2016.

<figure>

![](images/f1721-1sppqsgpviugqzv4n1bpnsq.png)

<figcaption>

These symbols, what could they mean

</figcaption>

</figure>

#### And why we use it so much

It’s no secret we use [Slack](https://medium.com/u/26d90a99f605) here at [devAcademy](https://medium.com/u/e90784f3811e). In fact, we _want_ you to know we use Slack. It’s an indispensable tool for our team, since we need to communicate on the go, wherever we are. Honestly, I don’t think we would even be as productive as we are without Slack and the awesome community behind it. Here are the reasons why we love it so much. ❤

#### An instant message is worth a thousand spoken words

> Slack helps us communicate better.

Even though at times we’re two feet away from each other at devHouse, we chat constantly. There are ways to specifically emphasize your words so your meaning isn’t lost, especially with the Markdown support Slack has.

Some people will argue that instant messaging tears people apart. Simple text on a screen can’t convey the same amount of information that spoken word can. They have a point — it can’t. But what instant messaging gives us is a way to express ideas and communicate with people halfway across the world within seconds. A skilled instant message user can both send and receive messages that convey just the right amount of feeling and emotion to incite a response.

<figure>

![](images/6074f-1j9z-bjp7bhirfqnuj_gvhw.png)

<figcaption>

See? Emphasis.

</figcaption>

</figure>

For people like me, who are growing up in the age of instant message platforms, we prefer instant messaging to normal speech. Why? It helps us speak when our physical voices aren’t enough. Platforms like Twitter, Facebook and _\[coughs\]_ Medium are giving people who didn’t have a voice before a place to share ideas and grow their own community.

> Your company needs their own internal social network to share their ideas and feel empowered within their group of peers.

This is where Slack steps in. By using Slack, your company can have a better sense of unity and a more equal sense of communication. No formal company letters. No dumb corporate meetings. No tedious emails. Just chat with your coworkers. Send a funny joke to your boss. Chat about something you need help with in a public channel. Relax.

Work can be fun, right?

#### Smile for the chat log

> Slack helps grow company culture.

Slack helps us grow our company’s culture by providing a fun environment for us to interact in without having to sound too formal. Slack even provides you with a **#random** channel by default. This helps promote a lighthearted communication environment for teams, giving you an incentive to share that funny cat video you found to put a smile on your team member’s faces.

Slack can help you interact with your team in a fun, enjoyable way instead of sounding like corporate robots all the time. Fun quips and a joyful chat log help promote a happy company workflow. I’m not too sure about the technical business jargon behind all of that, but I think we can all agree that it’s pretty important.

https://twitter.com/that\_taco\_guy/status/747582258148745216

After reading this, you should look at [this great article](https://medium.com/@j_henches/how-to-turn-followers-into-die-hard-fans-try-sounding-like-a-human-38ca164e8973#.3rmzews28) by [Julie Henches](https://medium.com/u/593ab75f38f5). She says something which is really nails what we’re all about at [devAcademy](https://medium.com/u/e90784f3811e):

> Are you a robot? If not, don’t make yourself sound like one.

Your company should really apply this in every aspect, not just marketing. Sounding like a robot in today’s day and age doesn’t cut it, and I’m 100% sure that your team members _hate_ being treated like another piece of a puzzle instead of an actual human being. Your team needs to be sold on the idea that your company isn’t a set of trademarks and legal documents — it’s a living, breathing entity that they want to be a part of. Slack helps us out with this by providing a comfortable, secure environment to talk about anything. You can mention someone, send them something and get instant feedback in an organized, natural and organic way.

#### Sharing information in the instant messaging age

> Slack helps you share information.

This probably sounds silly to you. Of _course_ you share information through chat messages. Isn’t that the whole point? But when you take a moment to step back and really take a look at how Slack and other instant messaging platforms work, you get to really see the big picture behind it all. Each message you send is data that can be searched through and looked up with a few keystrokes. Anything shared in a message can be starred in Slack, so you can look it up for later use.

<figure>

![](images/46342-1p6gbujpr8ua3apmkc-ylpw.png)

<figcaption>

I should check this out later…

</figcaption>

</figure>

If you’re as busy as we are, it’s much easier to write something down where you can be reminded of it later instead of listening to a whole bunch of people yap at you all at once. It’s where instant messaging really shines — many people can be talking at once without having to pause or slow down. Messages can be as long or as short as you’d like, and you can have long, meaningful discussions that can be interactive and not just one sided. Slack makes this experience fun and exciting by adding reactions to your posts. This makes everything more lighthearted by letting everyone know your feelings on what you said.

These can either be positive…

<figure>

![](images/f7364-12ttsipwkypoagxgd4vl_mw.png)

<figcaption>

Congrats, [Lennon](https://medium.com/u/57f86eb26cec)!

</figcaption>

</figure>

…or negative…

<figure>

![](images/942ed-1g21jncath2jou4lzsfzx8g.png)

<figcaption>

Get your head in the game, [victor](https://medium.com/u/97ee2c25d230).

</figcaption>

</figure>

…or somewhere in between.

<figure>

![](images/a1fff-1v3m4ymtdgspt_uutrvwwla.png)

<figcaption>

We’re all confused as to how [Giancarlos](https://medium.com/u/69cefb0fedff) doesn’t play Guitar Hero.

</figcaption>

</figure>

You can even add your own emojis, which is pretty awesome.

<figure>

![](images/0d4f9-1czcbts6439ovbpnoxq6dtq.png)

<figcaption>

Have something to tell us, [Kattya](https://medium.com/u/7cd86522af8d)?

</figcaption>

</figure>

#### Anytime, anywhere

> Slack is available whenever and wherever you are.

Do you have access to a web browser? You can use Slack. Their native apps are also pretty awesome, and their design guidelines make sure that you can keep up with what’s happening even if you’re on a smartphone, a laptop or your desktop computer. I’m pretty sure if I shoved a Raspberry Pi into a toaster, I’d be able to open Slack on it.

<figure>

![](images/3b7b9-1urpwggrsjr17scdxmbzqlw.png)

<figcaption>

:v

</figcaption>

</figure>

I’m going to gush like a design nerd for a moment, though. Slack’s UI is gorgeous. Their slick, smooth design makes me want to use their chat service forever. Another thing? Functionality. All of their apps make sure that you never feel left out on any features on any device. I’ve never had to say “I’ll have to wait until I get on a different device to do this” — I can just do it. That’s an amazing thing to be able to say. I haven’t found something in Slack that I didn’t like, and I’m pretty picky!

#### I heard you like apps, so we put an app in your app so you can do things while you do things

> Slack provides you with a wide variety of integrated apps.

Now, Slack can’t provide you with absolutely everything. There are some things that they’re just not good at. They’re busy working on making their own chat platform better and can’t possibly add all the specific things you’d like just for your team. How do they solve this problem, though? Integrations.

[Integrations](https://slack.com/apps) are like little mini-apps inside of Slack that run without having to install anything on your machine. They can do a whole bunch of stuff straight from Slack without having to switch tabs, which is super useful and gives your team a sense of transparency.

You say you’re going to make a card on Trello to remind yourself to upgrade the platform to Rails 5? [There’s a Slack app for that.](https://slack.com/apps/A074YH40Z-trello)

![](images/743ae-1hlggolcdw_znedgi0ggbka.png)

You want to know what’s happening on your GitHub repositories without having to tab over to GitHub itself? [There’s a Slack app for that, too.](https://slack.com/apps/A0F7YS2SX-github)

![](images/28572-1allrtgnpiuozf3e8d6vpfw.png)

Sometimes, though, you’ll find that there’s some functionality that you can’t seem to achieve with a simple integration install. Slack has that covered for you, too. [Slack’s API](https://api.slack.com/) is simple to use and there’s a few great existing libraries that let you create your own awesome integrations for Slack. We’re working on [PiscoBot](https://github.com/devacademyla/PiscoBot) here at devAcademy as our own homegrown custom integration, and it’s a lot of fun! It helps us create our own organic company environment in what could be an otherwise bland chat room.

(You can read more about why we think bots are amazing [here](https://medium.com/devacademy-stories/you-need-a-chat-bot-right-now-and-heres-why-cbbe5a69367e#.7i2z40upt).)

#### Long story short…

> Slack is great. You should use it. It gives you the tools you need to make a good team a great team.

Now go out and make something awesome.

_(_**_Note_**_: These are entirely my own opinions. I wasn’t paid by Slack to advertise their product but hey a few dollars coming my way wouldn’t be bad, so hit me up,_ [_Slack_](https://medium.com/u/26d90a99f605)_. But seriously, though, Slack is great.)_

* * *

Don’t forget to recommend this post to others if you enjoyed it. ❤

<figure>

![](images/755a8-1xs_n7ruqrbe-eszcs4oxrg.gif)

<figcaption>

help a brother out

</figcaption>

</figure>
