---
title: "[old] you need a chat bot right now, and here’s why"
date: "2016-07-05"
tags: 
  - "bots"
  - "chatbots"
  - "communication"
  - "messaging"
  - "programming"
---

> **disclaimer:** this post is really old, from when i first started writing technical articles. it's from 2016.

Let’s be real for a second here… I _love_ conveniently automated things. I love when programs work for me instead of having to set them up (or beat them into submission). When great ideas and great code work hand in hand, they make great software that just _works_. One of the greatest ideas that’s come out recently is using software through a chat interface, or as you probably know them, **chat bots.**

<figure>

![](images/88ad3-0uj0w1imzdpa0onpb.jpg)

<figcaption>

Photo credit: [jeffedoe](https://www.flickr.com/photos/jeffedoe/506027963/) / [CC BY-ND](http://creativecommons.org/licenses/by-nd/2.0/)

</figcaption>

</figure>

#### I, for one, welcome our new talkative overlords

We here at dev are pretty certain that chat bots are the future, and we’re not the only ones that do.

> Chat apps will come to be thought of as the new browsers; bots will be the new websites. This is the beginning of a new internet.

- [Ted Livingston](https://medium.com/u/2d041e2f8c3), [The Future of Chat Isn’t AI](https://medium.com/@tedlivingston/the-future-of-chat-isn-t-ai-b07f65bc252)

The people at [Kik](https://medium.com/@tedlivingston/the-future-of-chat-isn-t-ai-b07f65bc252#.wbcdlnljn), [Facebook](https://developers.facebook.com/docs/messenger-platform), [Slack](https://api.slack.com/bot-users), [Discord](https://discordapp.com/developers/docs/intro) and even [Skype](https://developer.microsoft.com/en-us/skype/bots) know that the people want chat bots. It’s one of the biggest untapped markets, since we all use IMs to communicate with each other these days. Being able to do things directly in chat is a must-have for any company these days.

End Users love having work done for them. We don’t like to move to other places to do things. We might as well not do them if we have to click on something. Having a place where you can do just about anything through chat bots is a reason to stay there and chat. A bot won’t judge or challenge you. It does whatever it’s made to do, and hopefully does it well.

#### So, what are we doing about it?

We’re are currently working on rewriting a bot I made for our Slack team here at devAcademy called [PiscoBot](https://github.com/devacademyla/piscobot). Creating an accessible user interface through chat sounds hard, but it’s actually pretty easy (and _definitely_ worth it).

<figure>

![](images/1eb4c-167zvqsrqjpksiotefydvga.png)

<figcaption>

We also give out shots of Pisco as a reward

</figcaption>

</figure>

For example, we have a command in PiscoBot allow us to check who’s worked the most on Hubstaff. It’s a conversation starter! Your can use bot replies as an icebreaker to talk about any topic you want. We use it to discuss how many hours our team is working and how we can coordinate our working hours better.

Being able to search for a Pokémon directly in chat isn’t a dumb, silly feature. It actually helps strengthen and grow an otherwise stale and disconnected community. By being able to share common interests and make communication easier and more friendly, your team will grow naturally. Be it at your workplace, with your group of friends or even with your family, chat bots can help you more than you can imagine.

<figure>

![](images/0e015-1nx3eb5lbb5bzxekqpvwp7w.png)

<figcaption>

Using a Magic 8 Ball digitally is much easier than using one IRL.

</figcaption>

</figure>

If you use Slack, there’s our own home grown [PiscoBot](http://github.com/devacademyla/piscobot), which is open source. There’s also other bots that are easy to set up and maintain, like Hubot, by GitHub themselves. Test some out, and find one that’s best for your team!

You could even make one yourself! For Slack, Twilio and Facebook there’s the awesome [Botkit](https://github.com/howdyai/botkit) for NodeJS, which was made with Slack in mind. It has pretty neat conversation code which allows you to make your own bot _very_ easily. There’s loads of other libraries out there for making your own bot user, so find which one is best for you!

We here at dev wholeheartedly recommend setting up a chat bot for your team or community, wherever you are. It’s helped us grow a lot; not only as a workplace, but as a community. We’re pretty sure it can help you, too.
